| OpenCV 3.4.8 Open Source Computer Vision

Classes | Enumerations | Functions
Widget
3D Visualizer

## Classes
class | cv::viz::WArrow
| This 3D Widget defines an arrow. More...
class | cv::viz::WCameraPosition
| This 3D Widget represents camera position in a scene by its axes or viewing frustum. : More...
class | cv::viz::WCircle
| This 3D Widget defines a circle. More...
class | cv::viz::WCloud
| Clouds. More...
class | cv::viz::WCloudCollection
| This 3D Widget defines a collection of clouds. : More...
class | cv::viz::WCloudNormals
| This 3D Widget represents normals of a point cloud. : More...
class | cv::viz::WCone
| This 3D Widget defines a cone. : More...
class | cv::viz::WCoordinateSystem
| Compound widgets. More...
class | cv::viz::WCube
| This 3D Widget defines a cube. More...
class | cv::viz::WCylinder
| This 3D Widget defines a cylinder. : More...
class | cv::viz::WGrid
| This 3D Widget defines a grid. : More...
class | cv::viz::Widget
| Base class of all widgets. Widget is implicitly shared. More...
class | cv::viz::Widget2D
| Base class of all 2D widgets. More...
class | cv::viz::Widget3D
| Base class of all 3D widgets. More...
struct | cv::viz::WidgetAccessor
| This class is for users who want to develop their own widgets using VTK library API. : More...
class | cv::viz::WImage3D
| This 3D Widget represents an image in 3D space. : More...
class | cv::viz::WImageOverlay
| This 2D Widget represents an image overlay. : More...
class | cv::viz::WLine
| Simple widgets. More...
class | cv::viz::WMesh
| Constructs a WMesh. More...
class | cv::viz::WPaintedCloud
class | cv::viz::WPlane
| This 3D Widget defines a finite plane. More...
class | cv::viz::WPolyLine
| This 3D Widget defines a poly line. : More...
class | cv::viz::WSphere
| This 3D Widget defines a sphere. : More...
class | cv::viz::WText
| Text and image widgets. More...
class | cv::viz::WText3D
| This 3D Widget represents 3D text. The text always faces the camera. More...
class | cv::viz::WTrajectory
| Trajectories. More...
class | cv::viz::WTrajectoryFrustums
| This 3D Widget represents a trajectory. : More...
class | cv::viz::WTrajectorySpheres
| This 3D Widget represents a trajectory using spheres and lines. More...
class | cv::viz::WWidgetMerger
| This class allows to merge several widgets to single one. More...

## Enumerations
enum | cv::viz::RenderingProperties { cv::viz::POINT_SIZE, cv::viz::OPACITY, cv::viz::LINE_WIDTH, cv::viz::FONT_SIZE, cv::viz::REPRESENTATION, cv::viz::IMMEDIATE_RENDERING, cv::viz::SHADING, cv::viz::AMBIENT, cv::viz::LIGHTING }
| Widget rendering properties. More...
enum | cv::viz::RepresentationValues { cv::viz::REPRESENTATION_POINTS, cv::viz::REPRESENTATION_WIREFRAME, cv::viz::REPRESENTATION_SURFACE }
enum | cv::viz::ShadingValues { cv::viz::SHADING_FLAT, cv::viz::SHADING_GOURAUD, cv::viz::SHADING_PHONG }

## Functions
template<>
Widget2D | cv::viz::Widget::cast ()
| Utility exports. More...

## Detailed Description

In this section, the widget framework is explained. Widgets represent 2D or 3D objects, varying from simple ones such as lines to complex ones such as point clouds and meshes.

Widgets are implicitly shared. Therefore, one can add a widget to the scene, and modify the widget without re-adding the widget.

// Create a cloud widget
viz::WCloud cw(cloud, viz::Color::red());
// Display it in a window
myWindow.showWidget("CloudWidget1", cw);
// Modify it, and it will be modified in the window.
cw.setColor(viz::Color::yellow());

## Enumeration Type Documentation

## § RenderingProperties

enum cv::viz::RenderingProperties

`#include <opencv2/viz/widgets.hpp>`

Widget rendering properties.

Enumerator
POINT_SIZE |
OPACITY |
LINE_WIDTH |
FONT_SIZE |
REPRESENTATION |
IMMEDIATE_RENDERING |
SHADING |
AMBIENT |
LIGHTING |

## § RepresentationValues

enum cv::viz::RepresentationValues

`#include <opencv2/viz/widgets.hpp>`

Enumerator
REPRESENTATION_POINTS |
REPRESENTATION_WIREFRAME |
REPRESENTATION_SURFACE |

## § ShadingValues

enum cv::viz::ShadingValues

`#include <opencv2/viz/widgets.hpp>`

Enumerator
SHADING_FLAT |
SHADING_GOURAUD |
SHADING_PHONG |

## Function Documentation

## § cast()

template<>

Widget2D cv::viz::Widget::cast | ( |  | ) |

`#include <opencv2/viz/widgets.hpp>`

Utility exports.